[arch-commits] Commit in coreutils/trunk (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue Feb 24 18:17:20 UTC 2009


    Date: Tuesday, February 24, 2009 @ 13:17:20
  Author: andyrtr
Revision: 27672

upgpkg: coreutils 7.1-1
    new version 7.1; added info file handling; updated Fedora/Gentoo patches

Modified:
  coreutils/trunk/PKGBUILD
  coreutils/trunk/coreutils-6.10-configuration.patch
  coreutils/trunk/coreutils-i18n.patch
  coreutils/trunk/coreutils-pam.patch

------------------------------------+
 PKGBUILD                           |   34 ++++++++-----
 coreutils-6.10-configuration.patch |    3 -
 coreutils-i18n.patch               |   89 +++++++++++++++--------------------
 coreutils-pam.patch                |   26 +++++++---
 4 files changed, 81 insertions(+), 71 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-02-24 17:47:15 UTC (rev 27671)
+++ PKGBUILD	2009-02-24 18:17:20 UTC (rev 27672)
@@ -1,18 +1,21 @@
 # $Id$
-# Maintainer: judd <jvinet at zeroflux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
 pkgname=coreutils
-pkgver=6.12
+pkgver=7.1
 pkgrel=1
 pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
 arch=(i686 x86_64)
 license=('GPL3')
 url="http://www.gnu.org/software/coreutils"
 groups=('base')
-depends=('glibc>=2.7-9' 'shadow>=4.0.18.2-2' 'pam>=1.0.1-1' 'acl>=2.2.47-1')
+depends=('glibc>=2.9-4' 'shadow>=4.1.2.1-2' 'pam>=1.0.3' 'acl>=2.2.47-1' 'gmp>=4.2.4')
 provides=('mktemp')
 conflicts=('mktemp')
 replaces=('sh-utils' 'fileutils' 'textutils' 'mktemp')
 backup=('etc/pam.d/su')
+install=${pkgname}.install
 options=('!emptydirs')
 source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
 	coreutils-i18n.patch
@@ -20,32 +23,35 @@
 	coreutils-pam.patch
 	coreutils-6.10-configuration.patch
 	su)
-md5sums=('2ca9ac69823dbd567b905a9e9f53c4f6'
-         '64991a860ddb98a9b7a2a5a0221a399a'
+md5sums=('cbb2b3d1718ee1237b808e00b5c11b1e'
+         'aa3b805025b4f0ce682db2fa2fae8ead'
          '18d3ba178e2691242287b59bd81aedb9'
-         '8810a22cdc05d502a69b59511e9abf79'
-         'e0f3edab474a4c96591c4f94a7962c9b'
+         '51a063ea50e4a8a1be7fcf170c7e27e3'
+         '92fefe96cfb43eb19e25fbbcd3b2d023'
          'fa85e5cce5d723275b14365ba71a8aad')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
 
   # only needed if new autoconf 2.62 is used
+  sed -i 's/1.10a/1.10.2/' configure.ac # aclocal fix
+  sed -i 's/dist-xz/dist-lzma/' configure.ac
   autoreconf
 
   # added pam patch and i18n patch from fedora cvs
   patch -Np1 -i ../coreutils-pam.patch || return 1
   patch -Np1 -i ../coreutils-i18n.patch || return 1
   patch -Np1 -i ../coreutils-6.10-configuration.patch || return 1
+
   # from gentoo portage
   patch -Np1 -i ../coreutils-uname.patch || return 1
-  # make head and tail recognize the old syntax (eg, tail -10)
-  export DEFAULT_POSIX2_VERSION=199209
 
-  autoconf
-  ./configure --prefix=/usr ac_cv_func_openat=no --enable-install-program=su --enable-pam
+  ./configure --prefix=/usr \
+	--enable-install-program=su \
+	--enable-pam ac_cv_func_openat=no
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=${pkgdir} install || return 1
+
   rm -f $startdir/pkg/usr/bin/hostname $startdir/pkg/usr/share/man/man1/hostname.1 || return 1
   rm -f $startdir/pkg/usr/bin/uptime $startdir/pkg/usr/share/man/man1/uptime.1 || return 1
   rm -f $startdir/pkg/usr/bin/groups $startdir/pkg/usr/share/man/man1/groups.1 || return 1
@@ -59,4 +65,6 @@
   ln -sf test [
   ln -sf /bin/sleep $startdir/pkg/usr/bin/sleep
   install -D -m644 $startdir/src/su $startdir/pkg/etc/pam.d/su
+
+  rm -f ${pkgdir}/usr/share/info/dir
 }

Modified: coreutils-6.10-configuration.patch
===================================================================
--- coreutils-6.10-configuration.patch	2009-02-24 17:47:15 UTC (rev 27671)
+++ coreutils-6.10-configuration.patch	2009-02-24 18:17:20 UTC (rev 27672)
@@ -26,7 +26,7 @@
 +++ coreutils-6.11/tests/mkdir/selinux	2008-04-22 13:23:50.000000000 +0200
 @@ -38,6 +28,7 @@
  # successfully, in spite of the invalid context string.
-  
+ 
  . $srcdir/test-lib.sh
 +require_selinux_
  
@@ -60,3 +60,4 @@
        return 1;
      }
  
+

Modified: coreutils-i18n.patch
===================================================================
--- coreutils-i18n.patch	2009-02-24 17:47:15 UTC (rev 27671)
+++ coreutils-i18n.patch	2009-02-24 18:17:20 UTC (rev 27672)
@@ -90,14 +90,14 @@
 diff -urN coreutils-6.12-orig/tests/Makefile.am coreutils-6.12/tests/Makefile.am
 --- coreutils-6.12-orig/tests/Makefile.am	2008-05-27 13:47:53.000000000 +0200
 +++ coreutils-6.12/tests/Makefile.am	2008-06-02 10:06:03.000000000 +0200
-@@ -191,6 +191,7 @@
-   misc/shuf					\
+@@ -192,6 +192,7 @@
    misc/sort					\
    misc/sort-compress				\
+   misc/sort-files0-from				\
 +  misc/sort-mb-tests				\
    misc/sort-merge				\
    misc/sort-rand				\
-   misc/split-a					\
+   misc/sort-version				\
 @@ -391,6 +392,10 @@
    $(root_tests)
  
@@ -331,7 +331,7 @@
      error (EXIT_FAILURE, errno, "-");
 --- coreutils-6.8+/src/join.c.i18n	2007-01-14 15:41:28.000000000 +0000
 +++ coreutils-6.8+/src/join.c	2007-03-01 15:08:24.000000000 +0000
-@@ -23,17 +23,31 @@
+@@ -23,16 +23,30 @@
  #include <sys/types.h>
  #include <getopt.h>
  
@@ -347,7 +347,6 @@
 +
  #include "system.h"
  #include "error.h"
- #include "hard-locale.h"
  #include "linebuffer.h"
 -#include "memcasecmp.h"
  #include "quote.h"
@@ -379,17 +378,8 @@
 +/* The number of bytes used for tab. */
 +static size_t tablen = 0;
  
- static struct option const longopts[] =
- {
-@@ -190,6 +206,8 @@
- 
- /* Fill in the `fields' structure in LINE.  */
- 
-+/* Fill in the `fields' structure in LINE.  */
-+
- static void
- xfields (struct line *line)
- {
+ /* If nonzero, check that the input is correctly ordered. */
+ static enum
 @@ -199,10 +217,11 @@
    if (ptr == lim)
      return;
@@ -549,22 +539,10 @@
 +  extract_field (line, ptr, lim - ptr);
 +}
 +#endif
-+
- /* Read a line from FP into LINE and split it into fields.
-    Return true if successful.  */
- 
-@@ -249,6 +410,11 @@
-   line->nfields_allocated = 0;
-   line->nfields = 0;
-   line->fields = NULL;
-+#if HAVE_MBRTOWC
-+  if (MB_CUR_MAX > 1)
-+    xfields_multibyte (line);
-+  else
-+#endif
-   xfields (line);
-   return true;
- }
++ 
+ static void
+ freeline (struct line *line)
+ {
 @@ -377,11 +601,18 @@
  
  /* Print the join of LINE1 and LINE2.  */
@@ -703,7 +681,7 @@
 -  size_t len2;		/* Length of fields to compare.  */
 +  char *beg[2];
 +  char *copy[2];
-+  size_t len[2]; /* Length of fields to compare.  */
++  size_t len[2]; 	/* Length of fields to compare.  */
    int diff;
 +  int i, j;
  
@@ -830,7 +808,7 @@
 +  return len[0] - len[1];
  }
  
- /* Check that successive input lines PREV and CURRENT from input file 
+ /* Check that successive input lines PREV and CURRENT from input file
 --- coreutils-6.8+/src/uniq.c.i18n	2007-01-14 15:41:28.000000000 +0000
 +++ coreutils-6.8+/src/uniq.c	2007-03-01 15:08:24.000000000 +0000
 @@ -23,6 +23,16 @@
@@ -886,13 +864,13 @@
     return a pointer to the beginning of the line's field to be compared. */
  
  static char *
--find_field (const struct linebuffer *line)
+-find_field (struct linebuffer const *line)
 +find_field_uni (struct linebuffer *line)
  {
    size_t count;
-   char *lp = line->buffer;
+   char const *lp = line->buffer;
 @@ -219,6 +245,83 @@
-   return lp + i;
+   return line->buffer + i;
  }
  
 +#if HAVE_MBRTOWC
@@ -1235,9 +1213,9 @@
  #define TAB_WIDTH 8
  
  /* The official name of this program (e.g., no `g' prefix).  */
-@@ -35,23 +57,44 @@
+@@ -35,20 +57,41 @@
  
- #define AUTHORS "David MacKenzie"
+ #define AUTHORS proper_name ("David MacKenzie")
  
 +#define FATAL_ERROR(Message)                                            \
 +  do                                                                    \
@@ -1259,9 +1237,6 @@
 +  character_mode,
 +};
 +
- /* The name this program was run with. */
- char *program_name;
- 
 +/* The argument shows current mode. (Default: column_mode) */
 +static enum operating_mode operating_mode;
 +
@@ -1756,7 +1731,7 @@
    if (hard_LC_TIME)
      {
 @@ -1031,6 +1100,64 @@
- #endif
+     xstrtol_fatal (e, oi, c, long_options, s);
  }
  
 +#if HAVE_MBRTOWC
@@ -1819,7 +1794,7 @@
 +
  /* Specify the amount of main memory to use when sorting.  */
  static void
- specify_sort_size (char const *s)
+ specify_sort_size (int oi, char c, char const *s)
 @@ -1241,7 +1368,7 @@
     by KEY in LINE. */
  
@@ -2865,11 +2840,11 @@
     line of 1st page printed). */
 @@ -696,6 +756,7 @@
     -a|COLUMN|-m is a `space' and with the -J option a `tab'. */
- static char *col_sep_string = "";
+ static char *col_sep_string = (char *) "";
  static int col_sep_length = 0;
 +static int col_sep_width = 0;
- static char *column_separator = " ";
- static char *line_separator = "\t";
+ static char *column_separator = (char *) " ";
+ static char *line_separator = (char *) "\t";
  
 @@ -852,6 +913,13 @@
    col_sep_length = (int) strlen (optarg_S);
@@ -2951,7 +2926,7 @@
 @@ -1031,7 +1122,7 @@
  	  old_s = false;
  	  /* Reset an additional input of -s, -S dominates -s */
- 	  col_sep_string = "";
+ 	  col_sep_string = bad_cast ("");
 -	  col_sep_length = 0;
 +	  col_sep_length = col_sep_width = 0;
  	  use_col_separator = true;
@@ -3921,7 +3896,7 @@
 +  size_t delimlen = 0;
  
    initialize_main (&argc, &argv);
-   program_name = argv[0];
+   set_program_name (argv[0]);
 @@ -770,7 +1090,6 @@
        switch (optc)
  	{
@@ -4043,3 +4018,19 @@
      }
  
    if (optind == argc)
+diff -urNp coreutils-6.12/src/join.c coreutils-6.12-orig/src/join.c
+--- coreutils-6.12/src/join.c	2008-07-16 14:08:01.000000000 +0200
++++ coreutils-6.12-orig/src/join.c	2008-07-16 14:07:02.000000000 +0200
+@@ -634,6 +634,11 @@ get_line (FILE *fp, struct line *line, i
+       return false;
+     }
+ 
++#if HAVE_MBRTOWC
++  if (MB_CUR_MAX > 1)
++    xfields_multibyte (line);
++  else
++#endif
+   xfields (line);
+ 
+   if (prevline[which - 1])
+

Modified: coreutils-pam.patch
===================================================================
--- coreutils-pam.patch	2009-02-24 17:47:15 UTC (rev 27671)
+++ coreutils-pam.patch	2009-02-24 18:17:20 UTC (rev 27672)
@@ -49,11 +49,11 @@
  #define DEFAULT_USER "root"
  
 +#ifndef USE_PAM
- char *crypt ();
+ char *crypt (char const *key, char const *salt);
 +#endif
- char *getusershell ();
- void endusershell ();
- void setusershell ();
+ char *getusershell (void);
+ void endusershell (void);
+ void setusershell (void);
  
  extern char **environ;
  
@@ -66,8 +66,8 @@
       ATTRIBUTE_NORETURN;
 +#endif
  
- /* The name this program was run with.  */
- char *program_name;
+ /* If true, pass the `-f' option to the subshell.  */
+ static bool fast_startup;
 @@ -225,7 +251,26 @@
  }
  #endif
@@ -361,6 +361,15 @@
  
  The program accepts the following options.  Also see @ref{Common options}.
  
+@@ -12815,6 +12815,8 @@
+ @env{PATH} to a compiled-in default value.  Change to @var{user}'s home
+ directory.  Prepend @samp{-} to the shell's name, intended to make it
+ read its login startup file(s).
++Additionaly @env{DISPLAY} and @env{XAUTHORITY} environment variables 
++are preserved as well for PAM functionality.
+
+ @item -m
+ @itemx -p
 @@ -13477,33 +13480,6 @@
  the exit status of the subshell otherwise
  @end display
@@ -392,8 +401,8 @@
 -might find this idea strange at first.
 -
 -
- @node Process control
- @chapter Process control
+ @node timeout invocation
+ @section @command{timeout}: Run a command with a time limit
  
 --- coreutils-6.7/configure.ac.pam	2006-12-07 21:30:24.000000000 +0000
 +++ coreutils-6.7/configure.ac	2007-01-09 17:18:04.000000000 +0000
@@ -411,3 +420,4 @@
  AC_FUNC_FORK
 
  optional_bin_progs=
+




More information about the arch-commits mailing list